Subject: Undo a commit that is already pushed to central server and merged to several branches

From: Matthias Fechner <[email-masked]>
Date: Wed, 07 Dec 2011 15:15:08 +0100

Dear git list,

I commited two files into the master branch (later I figured out that 
the files included a lot bugs).

I continued to work then on different branches and merged the bad master 
branch to all my other branches.

I pushed the master branch then to the server including the bogus commit.

What I would like to do is move this bogus commit into a different 
branch and remove all changes from this bogus commit from every branch.

Is this possible and how?

Bye
Matthias

-- 
"Programming today is a race between software engineers striving to 
build bigger and better idiot-proof programs, and the universe trying to 
produce bigger and better idiots. So far, the universe is winning." -- 
Rich Cook